/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.importer;

import org.dive4elements.river.model.GrainFraction;


public class ImportGrainFraction {

    private String name;

    private Double lower;
    private Double upper;

    public ImportGrainFraction(String name) {
        this.name = name;
    }


    public ImportGrainFraction(
        String     name,
        Double     lower,
        Double     upper
    ) {
        this.name  = name;
        this.lower = lower;
        this.upper = upper;
    }


    public void storeDependencies() {
        // Nothing to store because its prefilled in schema.
    }


    public GrainFraction getPeer() {
        return ImporterSession.getInstance().getGrainFraction(name);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
